## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-bigquery-connection
%global         forgeurl    https://github.com/googleapis/python-bigquery-connection
Version:        1.3.4
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python SDK for Google Cloud BigQuery Connection API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(grpcio-testing)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Python SDK for Google Cloud BigQuery Connection API:
Manage BigQuery connections to external data sources.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Opened upstream PR to import unittest.mock:
# https://github.com/googleapis/python-bigquery-connection/pull/213
sed -i 's/import mock/from unittest import mock/' \
    tests/unit/gapic/bigquery_connection_v1/test_connection_service.py


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%if %{with tests}
%check
%pytest --disable-warnings tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.rst SECURITY.md
%{python3_sitelib}/google_cloud_bigquery_connection-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Thu Jun 02 2022 Major Hayden <major@redhat.com> 1.3.4-2
- Bump release number

* Thu Jun 02 2022 Major Hayden <major@redhat.com> 1.3.4-1
- Update to 1.3.4

* Thu May 19 2022 Major Hayden <major@mhtx.net> 1.5.0-1
- 🚀 Update to 1.5.0

* Wed Mar 09 2022 Major Hayden <major@redhat.com> 1.4.0-1
- Update to 1.4.0

* Tue Mar 08 2022 Major Hayden <major@redhat.com> 1.3.4-1
- Update to 1.3.4

* Tue Mar 01 2022 Major Hayden <major@redhat.com> 1.3.3-1
- Update to 1.3.3

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 19 2022 Major Hayden <major@redhat.com> 1.3.2-1
- Update to 1.3.2

* Wed Nov 03 2021 Major Hayden <major@redhat.com> 1.3.1-1
- Update to 1.3.1

* Wed Oct 27 2021 Major Hayden <major@mhtx.net> 1.3.0-2
- First package for version 1.3.0

* Wed Oct 27 2021 Major Hayden <major@mhtx.net> 1.3.0-1
- Initial import (#2012984)
